Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/tests/usr.sbin/stdhosts Add a few checks for stdethers(8) an...
details: https://anonhg.NetBSD.org/src/rev/391fd21e1b9c
branches: trunk
changeset: 935079:391fd21e1b9c
user: jruoho <jruoho%NetBSD.org@localhost>
date: Wed Jun 24 09:47:17 2020 +0000
description:
Add a few checks for stdethers(8) and stdhosts(8).
diffstat:
distrib/sets/lists/tests/mi | 12 ++++-
etc/mtree/NetBSD.dist.tests | 4 +-
tests/usr.sbin/stdethers/Makefile | 9 +++
tests/usr.sbin/stdethers/d_valid.in | 7 ++
tests/usr.sbin/stdethers/t_stdethers.sh | 87 +++++++++++++++++++++++++++++++++
tests/usr.sbin/stdhosts/Makefile | 9 +++
tests/usr.sbin/stdhosts/d_ipv6.in | 13 ++++
tests/usr.sbin/stdhosts/t_stdhosts.sh | 84 +++++++++++++++++++++++++++++++
8 files changed, 223 insertions(+), 2 deletions(-)
diffs (277 lines):
diff -r 65bdfc9ec8af -r 391fd21e1b9c distrib/sets/lists/tests/mi
--- a/distrib/sets/lists/tests/mi Wed Jun 24 09:32:41 2020 +0000
+++ b/distrib/sets/lists/tests/mi Wed Jun 24 09:47:17 2020 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: mi,v 1.846 2020/06/24 09:32:41 jruoho Exp $
+# $NetBSD: mi,v 1.847 2020/06/24 09:47:17 jruoho Exp $
#
# Note: don't delete entries from here - mark them as "obsolete" instead.
#
@@ -4772,6 +4772,16 @@
./usr/tests/usr.sbin/mtree/mtree_d_create.out tests-usr.sbin-tests compattestfile,atf
./usr/tests/usr.sbin/mtree/netbsd6_d_create.out tests-usr.sbin-tests compattestfile,atf
./usr/tests/usr.sbin/mtree/t_mtree tests-usr.sbin-tests compattestfile,atf
+./usr/tests/usr.sbin/stdethers tests-usr.sbin-tests compattestfile,atf
+./usr/tests/usr.sbin/stdethers/Atffile tests-usr.sbin-tests compattestfile,atf
+./usr/tests/usr.sbin/stdethers/Kyuafile tests-usr.sbin-tests compattestfile,atf,kyua
+./usr/tests/usr.sbin/stdethers/d_valid.in tests-usr.sbin-tests compattestfile,atf
+./usr/tests/usr.sbin/stdethers/t_stdethers tests-usr.sbin-tests compattestfile,atf
+./usr/tests/usr.sbin/stdhosts tests-usr.sbin-tests compattestfile,atf
+./usr/tests/usr.sbin/stdhosts/Atffile tests-usr.sbin-tests compattestfile,atf
+./usr/tests/usr.sbin/stdhosts/Kyuafile tests-usr.sbin-tests compattestfile,atf,kyua
+./usr/tests/usr.sbin/stdhosts/d_ipv6.in tests-usr.sbin-tests compattestfile,atf
+./usr/tests/usr.sbin/stdhosts/t_stdhosts tests-usr.sbin-tests compattestfile,atf
./usr/tests/usr.sbin/tcpdump tests-usr.sbin-tests compattestfile,atf
./usr/tests/usr.sbin/tcpdump/Atffile tests-usr.sbin-tests compattestfile,atf
./usr/tests/usr.sbin/tcpdump/Kyuafile tests-usr.sbin-tests compattestfile,atf,kyua
diff -r 65bdfc9ec8af -r 391fd21e1b9c etc/mtree/NetBSD.dist.tests
--- a/etc/mtree/NetBSD.dist.tests Wed Jun 24 09:32:41 2020 +0000
+++ b/etc/mtree/NetBSD.dist.tests Wed Jun 24 09:47:17 2020 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: NetBSD.dist.tests,v 1.164 2020/06/24 09:32:41 jruoho Exp $
+# $NetBSD: NetBSD.dist.tests,v 1.165 2020/06/24 09:47:18 jruoho Exp $
./usr/libdata/debug/usr/tests
./usr/libdata/debug/usr/tests/atf
@@ -443,6 +443,8 @@
./usr/tests/usr.sbin
./usr/tests/usr.sbin/cpuctl
./usr/tests/usr.sbin/mtree
+./usr/tests/usr.sbin/stdethers
+./usr/tests/usr.sbin/stdhosts
./usr/tests/usr.sbin/tcpdump
./usr/tests/usr.sbin/traceroute
./usr/tests/usr.sbin/useradd
diff -r 65bdfc9ec8af -r 391fd21e1b9c tests/usr.sbin/stdethers/Makefile
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/usr.sbin/stdethers/Makefile Wed Jun 24 09:47:17 2020 +0000
@@ -0,0 +1,9 @@
+# $NetBSD: Makefile,v 1.1 2020/06/24 09:47:18 jruoho Exp $
+
+.include <bsd.own.mk>
+
+TESTSDIR= ${TESTSBASE}/usr.sbin/t_stdethers
+
+TESTS_SH= t_stdethers
+
+.include <bsd.test.mk>
diff -r 65bdfc9ec8af -r 391fd21e1b9c tests/usr.sbin/stdethers/d_valid.in
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/usr.sbin/stdethers/d_valid.in Wed Jun 24 09:47:17 2020 +0000
@@ -0,0 +1,7 @@
+00:00:00:00:00:00 a
+01:00:00:00:00:00 b
+00:01:00:00:00:00 c
+00:00:01:00:00:00 d
+00:00:00:01:00:00 e
+00:00:00:00:01:00 f
+00:00:00:00:00:01 g
diff -r 65bdfc9ec8af -r 391fd21e1b9c tests/usr.sbin/stdethers/t_stdethers.sh
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/usr.sbin/stdethers/t_stdethers.sh Wed Jun 24 09:47:17 2020 +0000
@@ -0,0 +1,87 @@
+# $NetBSD: t_stdethers.sh,v 1.1 2020/06/24 09:47:18 jruoho Exp $
+#
+# Copyright (c) 2020 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# This code is derived from software contributed to The NetBSD Foundation
+# by Jukka Ruohonen.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+tmp="/tmp/stdethers"
+
+check() {
+
+ stdethers $1 1>/dev/null 2>$tmp
+
+ if [ ! $? -eq 0 ]; then
+ atf_fail "failed to parse $1"
+ fi
+
+ if [ -s $tmp ]; then
+ strerror=$(cat $tmp)
+ atf_fail "$strerror"
+ fi
+}
+
+clean() {
+
+ if [ -f $tmp ]; then
+ rm $tmp
+ fi
+}
+
+atf_test_case default cleanup
+default_head() {
+ atf_require_prog stdethers
+ atf_set "descr" "Test the system ethers(3) with stdethers(8)"
+}
+
+default_body() {
+
+ if [ -f "/etc/ethers" ]; then
+ check "/etc/ethers"
+ fi
+}
+
+default_cleanup() {
+ clean
+}
+
+atf_test_case valid cleanup
+valid_head() {
+ atf_require_prog stdethers
+ atf_set "descr" "Test valid addresses with stdethers(8)"
+}
+
+valid_body() {
+ check "$(atf_get_srcdir)/d_valid.in"
+}
+
+valid_cleanup() {
+ clean
+}
+
+atf_init_test_cases() {
+ atf_add_test_case default
+ atf_add_test_case valid
+}
diff -r 65bdfc9ec8af -r 391fd21e1b9c tests/usr.sbin/stdhosts/Makefile
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/usr.sbin/stdhosts/Makefile Wed Jun 24 09:47:17 2020 +0000
@@ -0,0 +1,9 @@
+# $NetBSD: Makefile,v 1.1 2020/06/24 09:47:18 jruoho Exp $
+
+.include <bsd.own.mk>
+
+TESTSDIR= ${TESTSBASE}/usr.sbin/t_stdhosts
+
+TESTS_SH= t_stdhosts
+
+.include <bsd.test.mk>
diff -r 65bdfc9ec8af -r 391fd21e1b9c tests/usr.sbin/stdhosts/d_ipv6.in
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/usr.sbin/stdhosts/d_ipv6.in Wed Jun 24 09:47:17 2020 +0000
@@ -0,0 +1,13 @@
+#
+# A few examples; this should be augmented.
+#
+0:0:0:0:0:0:0:1 loopback
+2001:aaaa:0000:0000:0000:0000:1234:4321 host
+2001:aaaa:0:0:0:0:1234:4321 samehost
+2001:aaaa::1234:4321 samehost
+ff01:0:0:0:0:0:0:1 node-local multicast
+ff02::1 link-local multicast
+ff02::1:2 link-local multicast
+ff02:0:0:0:0:0:0:1 link-local multicast
+ff02:0:0:0:0:0:1:3 link-local multicast
+ff05:0:0:0:0:0:0:fb site-local multicast
diff -r 65bdfc9ec8af -r 391fd21e1b9c tests/usr.sbin/stdhosts/t_stdhosts.sh
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/usr.sbin/stdhosts/t_stdhosts.sh Wed Jun 24 09:47:17 2020 +0000
@@ -0,0 +1,84 @@
+# $NetBSD: t_stdhosts.sh,v 1.1 2020/06/24 09:47:18 jruoho Exp $
+#
+# Copyright (c) 2020 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# This code is derived from software contributed to The NetBSD Foundation
+# by Jukka Ruohonen.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+tmp="/tmp/stdhosts"
+
+check() {
+
+ stdhosts -n $1 1>/dev/null 2>$tmp
+
+ if [ ! $? -eq 0 ]; then
+ atf_fail "failed to parse $1"
+ fi
+
+ if [ -s $tmp ]; then
+ strerror=$(cat $tmp)
+ atf_fail "$strerror"
+ fi
+}
+
+clean() {
+
+ if [ -f $tmp ]; then
+ rm $tmp
+ fi
+}
+
+atf_test_case default cleanup
+default_head() {
+ atf_require_prog stdhosts
+ atf_set "descr" "Test the system hosts(5) with stdhosts(8)"
+}
+
+default_body() {
+ check "/etc/hosts"
+}
+
+default_cleanup() {
+ clean
+}
+
+atf_test_case ipv6 cleanup
+ipv6_head() {
+ atf_require_prog stdhosts
+ atf_set "descr" "Test IPv6 addresses with stdhosts(8)"
+}
+
+ipv6_body() {
+ check "$(atf_get_srcdir)/d_ipv6.in"
+}
+
+ipv6_cleanup() {
+ clean
+}
+
+atf_init_test_cases() {
+ atf_add_test_case default
+ atf_add_test_case ipv6
+}
Home |
Main Index |
Thread Index |
Old Index